## golang-github-minio-blake2b-simd 0.0~git20160723.3f5f724

=== debian/changelog ===
golang-github-minio-blake2b-simd (0.0~git20160723.3f5f724-2) unstable; urgency=medium

  * Rewriting watch file to obtain git HEAD as there are no releases yet.
  * Bumping Standards-Version (no changes).

 -- Andrius Merkys <merkys@debian.org>  Thu, 11 Apr 2019 01:23:20 -0400

golang-github-minio-blake2b-simd (0.0~git20160723.3f5f724-1) unstable; urgency=medium

  * Initial release (Closes: #926444)

 -- Andrius Merkys <merkys@debian.org>  Mon, 01 Apr 2019 10:39:21 -0400
