=== debian/watch ===
version=4
opts=mode=git,pgpmode=none \
  https://github.com/minio/blake2b-simd HEAD
